Package org.apache.sling.discovery.base.commons

# Class BaseDiscoveryService

java.lang.Object
org.apache.sling.discovery.base.commons.BaseDiscoveryService

All Implemented Interfaces:
  `org.apache.sling.discovery.DiscoveryService`

public abstract class BaseDiscoveryService extends Object implements org.apache.sling.discovery.DiscoveryService
Abstract base class for DiscoveryService implementations which uses the ClusterViewService plus Topology Connectors to calculate the current TopologyView

## Constructor Summary

Constructors
Constructor
Description
`BaseDiscoveryService()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract AnnouncementRegistry`
`getAnnouncementRegistry()`
`protected abstract ClusterViewService`
`getClusterViewService()`
`protected DefaultTopologyView`
`getOldView()`
`org.apache.sling.discovery.TopologyView`
`getTopology()`
`protected abstract void`
`handleIsolatedFromTopology()`
`protected void`
`setOldView(DefaultTopologyView view)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BaseDiscoveryService

public BaseDiscoveryService()

## Method Details

### getClusterViewService

protected abstract ClusterViewService getClusterViewService()

### getAnnouncementRegistry

protected abstract AnnouncementRegistry getAnnouncementRegistry()

### handleIsolatedFromTopology

protected abstract void handleIsolatedFromTopology()

### getOldView

protected DefaultTopologyView getOldView()

### setOldView

protected void setOldView(DefaultTopologyView view)

### getTopology

public org.apache.sling.discovery.TopologyView getTopology()

Specified by:
  `getTopology` in interface `org.apache.sling.discovery.DiscoveryService`
See Also:
  - `DiscoveryService.getTopology()`